# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/bison /usr/bin/doxygen /usr/bin/epstopdf /usr/bin/help2man /usr/bin/man2html /usr/bin/perl bzlib-devel gcc-c++
# END SourceDeps(oneline)
Name:           vrq
Version:        1.0.96
Release:        alt1_3
Summary:        Verilog tool framework with plugins for manipulating source code

Group:          Engineering
License:        GPLv2+
URL:            http://vrq.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

# ---- Exclusive Arch: ----
# plugin/sim uses x86 inline assembly

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  bison flex help2man doxygen iverilog-devel readline-devel
BuildRequires:  zlib-devel bzip2-devel
Source44: import.info

%description
VRQ is modular verilog parser that supports plugin tools to process verilog. 
Multiple tools may be invoked in a pipeline fashion within a single execution 
of vrq. It is a generic front-end parser with support for plugin backend 
customizable tools.

%package devel
Summary:        Header files and libraries for Vrq development
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
The vrq-devel package contains the header files and libraries needed
to develop backend plugin customization tools for the vrq tool framework.

%prep
%setup -q 
%{__rm} -rf `find . -name CVS`
%{__rm} -f `find . -name *.o`
%{__rm} -f `find . -name *.so`
%{__sed} -i "s|^MYDOCDIR = |MYDOCDIR = \$(DESTDIR)|" doc/Makefile*

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}
%{__rm} -f `find %{buildroot} -name *.la`
%{__rm} -rf `find %{buildroot} -name latex`

%files
%doc AUTHORS ChangeLog COPYING README doc/faq.html
%{_bindir}/%{name}
%{_libdir}/%{name}-%{version}
%{_mandir}/man1/vrq.1*

%files devel
%doc doc/html plugin/examples/example1 plugin/examples/example2
%{_includedir}/%{name}-%{version}

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.96-alt1_3
- initial fc import

